2022年5月21日 星期六

線上日文字典網站

學日文到現在其實沒有花錢買過任何一本實體或是電子字典,都是查線上字典居多,下面就列出幾個我知道的幾個日文相關字典/辭典/慣用語等等的資源網站


綜合字典/辭典

Weblio

https://www.weblio.jp/

內容挺豐富,包含各種字典辭典,手機也有app,目前最常使用的字典

 

jisho

https://jisho.org/

言葉で遊ぼう發現的字典網站,要找字的時候查詢方式很多種,也可以根據日本語能力測驗的分級來找,單字也會列出屬於N幾的單字

 

広辞苑無料検索

https://sakura-paris.org/dict/

 

goo辞書

https://dictionary.goo.ne.jp/

小学館、三省堂、 学研などの語学辞典と専門用語集
国語辞書, 英和・和英辞書, 類語辞書, 四字熟語, 漢字辞典, 専門用語集

 

成語,慣用語

故事ことわざ辞典

http://kotowaza-allguide.com/ 


ことわざ辞典

 https://seiku.net/


發音,重音

OJAD

http://www.gavo.t.u-tokyo.ac.jp/ojad/jpn/pages/home

 

例句

日本語の例文

https://j-nihongo.com/

 

聽力練習

青空朗読

http://aozoraroudoku.jp/index.html

 

NHK WEB EASY

https://www3.nhk.or.jp/news/easy/index.html

 

Youtube歌曲學日文

https://www.jpmarumaru.com/tw/index.asp

 

閱讀

青空文庫

https://www.aozora.gr.jp/index.html


文法

毎日のんびり日本語教師 - 日本語の文法

https://nihongonosensei.net/?page_id=10246


--

當然有時候Google翻譯也不錯用


 

2022年1月3日 星期一

Ubuntu 16.04.7 安裝 python 3.6之後CommandNotFound.py的問題

Ubuntu 16.04.7 預設是裝 python 3.5

若額外裝了python 3.6,然後把 /usr/bin/python3指到python 3.6的話

系統在操作的時候如果輸入找不到的指令或是執行檔,總是會吐出下面的錯誤訊息

 

Traceback (most recent call last):
  File "/usr/lib/python3.6/dbm/gnu.py", line 4, in <module>
    from _gdbm import *
ModuleNotFoundError: No module named '_gdbm'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/CommandNotFound/CommandNotFound.py", line                                                                                        7, in <module>
    import dbm.gnu as gdbm
  File "/usr/lib/python3.6/dbm/gnu.py", line 6, in <module>
    raise ImportError(str(msg) + ', please install the python3-gdbm package')
ImportError: No module named '_gdbm', please install the python3-gdbm package

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/command-not-found", line 27, in <module>
    from CommandNotFound.util import crash_guard
  File "/usr/lib/python3/dist-packages/CommandNotFound/__init__.py", line 3, in                                                                                        <module>
    from CommandNotFound.CommandNotFound import CommandNotFound
  File "/usr/lib/python3/dist-packages/CommandNotFound/CommandNotFound.py", line                                                                                        9, in <module>
    import gdbm
ModuleNotFoundError: No module named 'gdbm'

 

 我才發現似乎是因為系統裝了 python3-commandnotfound 這個package,所以找不到command會交給這個package處理,然後python 3.6沒裝gdbm這個套件導致

所以解決方法就是

sudo apt-get install python3.6-gdbm


 收工